# Uses of Interface
javajs.api.GenericColor

Packages that use GenericColor
Package
Description
javajs.api
javajs.util
jspecview.api
jspecview.common
jspecview.java
jspecview.js2d
org.jmol.api
org.jmol.awt
org.jmol.awtjs.swing
org.jmol.awtjs2d

## Uses of GenericColor in javajs.api

Methods in javajs.api that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
GenericColor.`addAlpha(int a)`

## Uses of GenericColor in javajs.util

Methods in javajs.util with parameters of type GenericColor
Modifier and Type
Method
Description
`static String`
CU.`toCSSString(GenericColor c)`
`static String`
CU.`toRGBHexString(GenericColor c)`

## Uses of GenericColor in jspecview.api

Methods in jspecview.api with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
JSVPanel.`setBackgroundColor(GenericColor color)`

## Uses of GenericColor in jspecview.common

Fields in jspecview.common declared as GenericColor
Modifier and Type
Field
Description
`GenericColor`
PanelData.`bgcolor`
`static GenericColor`
ColorParameters.`BLACK`
`GenericColor`
PanelData.`BLACK`
`static GenericColor`
ColorParameters.`BLUE`
`GenericColor`
PanelData.`coordinatesColor`
`static GenericColor`
ColorParameters.`DARK_GRAY`
`static final GenericColor[]`
ColorParameters.`defaultPlotColors`
`GenericColor`
PanelData.`gridColor`
`GenericColor`
PanelData.`highlightColor`
`GenericColor`
PanelData.`integralPlotColor`
`static GenericColor`
ColorParameters.`LIGHT_GRAY`
`GenericColor`
PanelData.`peakOverColor`
`GenericColor`
PanelData.`peakTabColor`
`GenericColor`
PanelData.`plotAreaColor`
`GenericColor[]`
ColorParameters.`plotColors`
`static GenericColor`
ColorParameters.`RED`
`GenericColor`
PanelData.`scaleColor`
`GenericColor`
PanelData.`titleColor`
`GenericColor`
PanelData.`unitsColor`
`static GenericColor`
ColorParameters.`WHITE`
`GenericColor`
PanelData.`zoomBoxColor`
`GenericColor`
PanelData.`zoomBoxColor2`
Fields in jspecview.common with type parameters of type GenericColor
Modifier and Type
Field
Description
`Map<ScriptToken, GenericColor>`
ColorParameters.`elementColors`
Methods in jspecview.common that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
ColoredAnnotation.`getColor()`
`GenericColor`
PanelData.`getColor(ScriptToken whatColor)`
`protected abstract GenericColor`
ColorParameters.`getColor1(int rgb)`
`GenericColor`
PDFWriter.`getColor1(int argb)`
`protected abstract GenericColor`
ColorParameters.`getColor3(int r, int g, int b)`
`GenericColor`
PDFWriter.`getColor3(int red, int green, int blue)`
`GenericColor`
PDFWriter.`getColor4(int r, int g, int b, int a)`
`GenericColor`
ColorParameters.`getColorFromString(String name)`
`GenericColor`
PanelData.`getCurrentPlotColor(int i)`
`GenericColor`
ColorParameters.`getElementColor(ScriptToken st)`
Gets the color of an element in the scheme
`protected GenericColor[]`
ColorParameters.`getPlotColors(String plotColorsStr)`
`GenericColor`
ColorParameters.`setColor(ScriptToken st, GenericColor color)`
Sets the color of an element
`protected GenericColor`
ColorParameters.`setColorFromString(ScriptToken st, String value)`
Methods in jspecview.common with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
PDFWriter.`fillBackground(Object g, GenericColor bgcolor)`
`ColoredAnnotation`
ColoredAnnotation.`setCA(double x, double y, Spectrum spec, String text, GenericColor color, boolean isPixels, boolean is2D, int offsetX, int offsetY)`
`GenericColor`
ColorParameters.`setColor(ScriptToken st, GenericColor color)`
Sets the color of an element
`void`
PanelData.`setColor(ScriptToken st, GenericColor color)`
`void`
Spectrum.`setFillColor(GenericColor color)`
`void`
PDFWriter.`setGraphicsColor(Object g, GenericColor c)`
`void`
PanelData.`setHighlightColor(GenericColor color)`
`void`
PanelData.`setPlotColors(GenericColor[] colors)`

## Uses of GenericColor in jspecview.java

Classes in jspecview.java that implement GenericColor
Modifier and Type
Class
Description
`class`
`AwtColor`
Methods in jspecview.java that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
AwtColor.`addAlpha(int a)`
`GenericColor`
AwtPanel.`getBackgroundColor()`
`GenericColor`
AwtG2D.`getColor1(int rgb)`
`GenericColor`
AwtParameters.`getColor1(int rgb)`
`GenericColor`
AwtG2D.`getColor3(int r, int g, int b)`
`protected GenericColor`
AwtParameters.`getColor3(int r, int g, int b)`
`GenericColor`
AwtG2D.`getColor4(int r, int g, int b, int a)`
Methods in jspecview.java with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
AwtG2D.`fillBackground(Object g, GenericColor bgcolor)`
`void`
AwtPanel.`setBackgroundColor(GenericColor color)`
`void`
AwtG2D.`setGraphicsColor(Object g, GenericColor c)`

## Uses of GenericColor in jspecview.js2d

Methods in jspecview.js2d that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
JsG2D.`getColor1(int rgb)`
`GenericColor`
JsParameters.`getColor1(int rgb)`
`GenericColor`
JsG2D.`getColor3(int r, int g, int b)`
`protected GenericColor`
JsParameters.`getColor3(int r, int g, int b)`
`GenericColor`
JsG2D.`getColor4(int r, int g, int b, int a)`
Methods in jspecview.js2d with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
JsG2D.`fillBackground(Object g, GenericColor bgcolor)`
`void`
JsPanel.`setBackgroundColor(GenericColor color)`
`void`
JsG2D.`setGraphicsColor(Object g, GenericColor c)`

## Uses of GenericColor in org.jmol.api

Methods in org.jmol.api that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
GenericGraphics.`getColor1(int argb)`
`GenericColor`
GenericGraphics.`getColor3(int red, int green, int blue)`
`GenericColor`
GenericGraphics.`getColor4(int r, int g, int b, int a)`
Methods in org.jmol.api with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
GenericGraphics.`fillBackground(Object g, GenericColor bgcolor)`
`void`
GenericGraphics.`setGraphicsColor(Object g, GenericColor c)`

## Uses of GenericColor in org.jmol.awt

Classes in org.jmol.awt that implement GenericColor
Modifier and Type
Class
Description
`class`
`AwtColor`
Methods in org.jmol.awt that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
AwtColor.`addAlpha(int a)`
`GenericColor`
AwtG2D.`getColor1(int rgb)`
`GenericColor`
AwtG2D.`getColor3(int r, int g, int b)`
`GenericColor`
AwtG2D.`getColor4(int r, int g, int b, int a)`
Methods in org.jmol.awt with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
AwtG2D.`fillBackground(Object g, GenericColor bgcolor)`
`void`
AwtG2D.`setGraphicsColor(Object g, GenericColor c)`

## Uses of GenericColor in org.jmol.awtjs.swing

Classes in org.jmol.awtjs.swing that implement GenericColor
Modifier and Type
Class
Description
`class`
`Color`
Methods in org.jmol.awtjs.swing that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
Color.`addAlpha(int a)`
`static GenericColor`
Color.`get1(int rgb)`
`static GenericColor`
Color.`get3(int r, int g, int b)`
`static GenericColor`
Color.`get4(int r, int g, int b, int a)`
Methods in org.jmol.awtjs.swing with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
Component.`setBackground(GenericColor color)`

## Uses of GenericColor in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return GenericColor
Modifier and Type
Method
Description
`GenericColor`
JsG2D.`getColor1(int rgb)`
`GenericColor`
JsG2D.`getColor3(int r, int g, int b)`
`GenericColor`
JsG2D.`getColor4(int r, int g, int b, int a)`
Methods in org.jmol.awtjs2d with parameters of type GenericColor
Modifier and Type
Method
Description
`void`
JsG2D.`fillBackground(Object g, GenericColor bgcolor)`
`void`
JsG2D.`setGraphicsColor(Object g, GenericColor c)`